=== debian/changelog ===
manpages-fr (3.27fr1.4-1) unstable; urgency=low

  [ Denis Barbier ]
  * New perkamon release 3.27-4.
  * Rebuild against manpages 3.27-1.

 -- Simon Paillard <spaillard@debian.org>  Wed, 17 Nov 2010 21:25:47 +0100

manpages-fr (3.26fr1.6-1) unstable; urgency=low

  [ Denis Barbier ]
  * New perkamon release 3.26-6.
  * Rebuild against manpages 3.26-1.
  * Fix a fuzzy string in tzfile.5.
  * Add missing .SH TRADUCTION line in Debian specific
    manual pages.
  * Change colophons to print manpages-fr in bold.

  [ Simon Paillard ]
  * Use --single-debian-patch dpkg-source option to keep Debian specific
    changes in constant filename (Closes: #599404)

 -- Simon Paillard <spaillard@debian.org>  Mon, 15 Nov 2010 22:58:23 +0100

manpages-fr (3.25fr1.4-1) unstable; urgency=low

  [ Denis Barbier ]
  * New perkamon release 3.25-4.
    Improvements in French translations:
     + madvise.2: Drop a spurious paragraph
     + gethostname.2 proc.5: Fix typos
     + man-pages.7: Include translations of section names
     + *.7 Fix encoding (Closes: #599116)
     + Fix many plural forms
  * debian/control: Add missing trailing slash to Vcs-Browser.
  * debian/rules: In get-orig-source target, build .orig.tar.bz2
    if it does not exist.
  * debian/control: Standards-Version: bumped to 3.9.1. No changes.

  [ Simon Paillard ]
  * debian/control: add myself as one of the Uploaders.

 -- Simon Paillard <spaillard@debian.org>  Mon, 04 Oct 2010 23:09:40 +0200

manpages-fr (3.25fr1.1-1) unstable; urgency=low

  [ Denis Barbier ]
  * Switch to perkamon.  French translations of manpages are now managed
    outside of Debian, the manpages-fr package ensures that those
    translations are synced with manpages{,-dev} Debian packages.
  * debian/source/format: Use "3.0 (quilt)", source tarball is now
    composed of 4 tarballs; the main one contains a single Makefile,
    upstream perkamon is a component, and manpages and manpages-dev
    Debian packages provide a component.
  * debian/copyright: Updated to mention new source.
  * New version: based on Debian manpages 3.25-1 and perkamon 3.25-1.
  * debian/control: Remove Replaces: manpages-fr (<= 2.31.1),
    this version is older than the one in oldstable.
  * debian/control: Add Breaks and Replaces manpages-fr-extra (<< 20100723),
    pthread_*.3 pages have been moved from glibc-doc into manpages-dev.
  * debian/rules: File rewritten to use perkamon.
  * debian/watch: Also track perkamon sources.

  [ Nicolas FRANCOIS (Nekral) ]
  * debian/control: Bump dependency on po4a (>= 0.39)
  * debian/control: Standards-Version: bumped to 3.8.4. No changes. 
  * debian/control: Added ${misc:Depends} to the dependencies.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Wed, 18 Aug 2010 21:53:14 +0200

manpages-fr (3.23.1-2) unstable; urgency=low

  * debian/rules: Only fix the "coding:" header if it is specified on the
    first line.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Thu, 31 Dec 2009 00:03:41 +0100

manpages-fr (3.23.1-1) unstable; urgency=low

  * New upstream versions.
  * Updated translations and reviews. Thanks to Simon Paillard.
  * debian/rules: Always recode manpages/C/man7/armscii-8.7 to UTF-8 (this
    encoding is not yet supported by Perl).
  * debian/rules: Fix the "coding:" header when the original page had one.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 19 Dec 2009 19:39:52 -0800

manpages-fr (3.22.1-4) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fixed typo in socket(7). Closes: #555557

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Thu, 19 Nov 2009 22:57:48 +0100

manpages-fr (3.22.1-3) unstable; urgency=low

  [ Nicolas FRANCOIS ]
  * Fixed typo in endian(3). Closes: #544882
  * Finished translation of cpuset(7) and capabilities(7).
  * Translation status: 100% translated.

  [ Simon Paillard ]
  * Fix [2-9]ème in [2-9]e

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 25 Sep 2009 23:32:44 -0500

manpages-fr (3.22.1-2) unstable; urgency=low

  * Fixed typo in signal(7). Closes: #544675

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Wed, 02 Sep 2009 13:11:20 +0200

manpages-fr (3.22.1-1) unstable; urgency=low

  * New upstream versions.
  * Translations status:
    + cpuid.4 (1 string)
    + capabilities.7 (15 strings)
    + cpuset.7 (202 strings, missing translation)
    + rtld-audit.7 (2 strings)
  * debian/control: Standards-Version: bumped to 3.8.3. No changes. 

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 30 Aug 2009 13:19:37 +0200

manpages-fr (3.17.1-2) unstable; urgency=low

  * New upstream versions.
  * manpages/C/man7/armscii-8.7 recoded to UTF-8 (armscii-8 not supported by
    perl's Encode.pm yet). 

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 01 May 2009 16:10:58 +0200

manpages-fr (3.17.1-1) unstable; urgency=low

  * New upstream versions.
  * 27588 translated, 2 fuzzy, 324 untranslated
  * missing translations for:
    - getifaddrs.3 (39/49)
    - cpuset.7 (112/314)
    - libc.7 (14/19)
    - rtld-audit.7 (72/129)
  * Pages are distributed in UTF-8, do not remove the pages which do not
    iconv successfully to latin1. Added lintian override for those pages.
  * Bumped Standards-Version to 3.8.1 (no changes).
  * Bumped debhelper compatibility mode to 7 (dh_clean -k replaced by dh_prep)

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 19 Apr 2009 16:11:46 +0200

manpages-fr (3.15.1-1) unstable; urgency=low

  * New upstream versions. 
  * 26840 translated, 1 fuzzy, 234 untranslated

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 28 Feb 2009 16:27:58 +0100

manpages-fr (3.07.1-1) unstable; urgency=low

  * New upstream versions.
    + Translation statistics: 25921t12f278u
    + missing capabilities(7) and cpuset(7)
  * Fixed typo in sched_setscheduler(2). Closes: #498148

