=== debian/control ===
Source: manpages-fr
Section: doc
Priority: optional
Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Uploaders: Thomas Huriaux <thomas.huriaux@gmail.com>, Simon Paillard <spaillard@debian.org>
Build-Depends: debhelper (>= 7), po4a (>= 0.39)
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-manpages-fr/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-manpages-fr/trunk/

Package: manpages-fr
Architecture: all
Section: doc
Priority: optional
Suggests: man-db | man-browser, manpages-fr-dev, manpages-fr-extra
Depends: ${misc:Depends}
Description: French version of the manual pages about using GNU/Linux
 This package contains the French translation of GNU/Linux manual pages
 for these sections:
  4 = Devices (e.g. hd, sd).
  5 = File formats and protocols, syntaxes of several system
      files (e.g. wtmp, /etc/passwd, nfs).
  7 = Conventions and standards, macro packages, etc.
      (e.g. nroff, ascii).
 .
 Sections 1, 6 and 8 are provided by the respective applications. This
 package only includes the intro man page describing the section.
 .
 The man pages describe syntaxes of several system files.

Package: manpages-fr-dev
Architecture: all
Section: doc
Priority: optional
Recommends: manpages-fr
Replaces: manpages-fr-extra (<< 20100723)
Breaks: manpages-fr-extra (<< 20100723)
Suggests: man-db | man-browser
Depends: ${misc:Depends}
Description: French version of the development manual pages
 These man pages are translations of the man pages which describe the
 Linux programming interface, including these two sections:
  2 = Linux system calls.
  3 = Library calls (note that a more comprehensive source of information
      may be found in the glibc-doc package).
