=== debian/watch ===
version=3
opts="dversionmangle=s/fr(\d+)\..*$/-$1/" \
  http://ftp.debian.org/pool/main/m/manpages/manpages_(.*)_all.deb
opts="dversionmangle=s/fr\d+\.(\d+)$/-$1/" \
  http://alioth.debian.org/frs/?group_id=100455 \
  https://alioth.debian.org/frs/download.php/\d+/perkamon-(.*).tar.bz2
