## manpages-fr 3.32d0.2p4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 export LC_ALL=C
-
-PO4AFLAGS = -k 100 --msgmerge-opt '-C ../po4a-local/po/compendium-$$lang.po'
 
 # Directory containing timestamp files
 stamp := stamp-dir/
@@ -71,7 +69,7 @@
 	iconv -f armscii-8 -t utf-8 top_build/build/C/man7/armscii-8.7 | sed -e '1s/coding: ARMSCII-8/coding: UTF-8/' > temp \
 	    && mv temp top_build/build/C/man7/armscii-8.7
 	#  Apply patches to fix groff syntax errors which  prevent po4a processing
-	for p in $(CURDIR)/debian-fixes.patch $(CURDIR)/perkamon/po4a-fixes.patch; do \
+	for p in $(CURDIR)/debian-fixes.patch $(CURDIR)/perkamon-fr/po4a-fixes.patch; do \
 	  if test -f $$p; \
 	  then \
 	    cd top_build/build/C && patch -p1 < $$p; \
@@ -80,48 +78,65 @@
 	done
 	touch $@
 
-# Merge perkamon and po4a-local stuff into top_build/po4a
+# Compendium and POT files for translation of upstream Linux man-pages
+generate-upstream-pot: $(stamp)generate-upstream-pot
+$(stamp)generate-upstream-pot: $(stamp)setup-man
+	# Compendium and POT files for original strings
+	msgcat --use-first perkamon-fr/po4a/*/po/*.pot > top_build/man-pages-upstream.pot
+	msgcat --use-first perkamon-fr/po4a/*/po/fr.po > top_build/compendium-fr.po
+	touch $@
+
+# Merge perkamon-fr, perkamon and po4a-local stuff into top_build/po4a
 setup-po4a: $(stamp)setup-po4a
 $(stamp)setup-po4a: $(stamp)setup-man
 	-rm -rf top_build/po4a
-	mkdir top_build/po4a
-	# Copy perkamon/po4a directory into top_build
-	-tar cf - --exclude=.svn -C perkamon po4a | tar xf - -C top_build
+	$(MAKE) -C perkamon-fr unpack
+	# Copy perkamon-fr/perkamon/po4a directory into top_build
+	cp -a perkamon-fr/perkamon/po4a top_build
+	# Copy perkamon-fr/po4a directory into top_build
+	-tar cf - --exclude=.svn -C perkamon-fr po4a | tar xf - -C top_build
 	# Copy po4a-local/po and po4a-local/man-debian.cfg into top_build/po4a/man-debian
 	mkdir top_build/po4a/man-debian
 	tar cf - --exclude=.svn -C po4a-local po man-debian.cfg | tar xf - -C top_build/po4a/man-debian
 	# Addenda must be placed into top_build/po4a/add_fr
 	tar cf - --exclude=.svn -C po4a-local add_fr | tar xf - -C top_build/po4a
+	# Add stamp files to pretend that top_build has been generated by the Makefile
+	touch top_build/stamp-setup top_build/stamp-unpack
+	# Copy Makefile to simplify make commands
+	cp perkamon-fr/perkamon/Makefile top_build/
 	touch $@
 
-# Modify top_build/po4a/man*/man*.cfg to discard files removed in Debian
+# Modify top_build/po4a/*/*.cfg to discard files removed in Debian
 discard-files: $(stamp)discard-files
 $(stamp)discard-files: $(stamp)setup-po4a
-	cd top_build && $(MAKE) -I../perkamon -f../perkamon/Makefile disable-removed
+	$(MAKE) -C top_build EXTRA_PO4A_SUBDIRS=man-debian disable-removed
+	touch $@
+
+# Print files added in Debian which have not been inserted into debian.cfg
+print-new-files: $(stamp)print-new-files
+$(stamp)print-new-files: $(stamp)setup-po4a
+	$(MAKE) -C top_build print-new-files
 	touch $@
 
 # Generate new POT files for man-pages as shipped in Debian
 generate-pot: $(stamp)generate-pot
-$(stamp)generate-pot: $(stamp)discard-files
-	# Compendium and POT files for original strings
-	msgcat --use-first perkamon/po4a/man*/po/man*.pot > po4a-local/po/man-pages-upstream.pot
-	msgcat --use-first perkamon/po4a/man*/po/fr.po > po4a-local/po/compendium-fr.po
+$(stamp)generate-pot: $(stamp)setup-po4a $(stamp)generate-upstream-pot $(stamp)discard-files $(stamp)print-new-files
 	# Generate new POT files for man-pages as shipped in Debian
-	set -e; cd top_build; for f in po4a/man*/man*.cfg; do po4a --force --no-translations $$f; done
-	# Here goes the magic.  Put in po4a-local/po/man-pages-only-debian.pot
+	$(MAKE) -C top_build EXTRA_PO4A_SUBDIRS=man-debian LANGS=fr PO4AFLAGS="--force --no-translations"
+	# Here goes the magic.  Put in top_build/man-pages-only-debian.pot
 	# the strings which appear in man-pages shipped in Debian but not in
 	# man-pages-upstream.pot
-	cd top_build/po4a && msgcat --use-first man-debian/po/man-debian.pot man[0-9]*/po/man*.pot > ../../po4a-local/po/man-pages-dist-debian.pot
-	cd po4a-local/po && cat man-pages-upstream.pot | msgcat --less-than=2 man-pages-upstream.pot - man-pages-dist-debian.pot > man-pages-only-debian.pot
+	cd top_build && msgcat --use-first po4a/*/po/*.pot > man-pages-dist-debian.pot
+	cd top_build && cat man-pages-upstream.pot | msgcat --less-than=2 man-pages-upstream.pot - man-pages-dist-debian.pot > man-pages-only-debian.pot
 	touch $@
 
-# Update po4a-local/po/fr.po with po4a-local/po/man-pages-only-debian.pot
+# Update po4a-local/po/fr.po with top_build/man-pages-only-debian.pot
 updatepo: $(stamp)updatepo
 $(stamp)updatepo: $(stamp)generate-pot
 	# No fuzzy matching, otherwise string remains fuzzy even if there is a right entry in compendium
-	msgmerge --previous po4a-local/po/fr.po po4a-local/po/man-pages-only-debian.pot > po4a-local/po/newfr.po
+	msgmerge --previous po4a-local/po/fr.po top_build/man-pages-only-debian.pot > po4a-local/po/newfr.po
 	msgattrib --no-obsolete po4a-local/po/newfr.po > po4a-local/po/fr.po
-	for f in top_build/po4a/man*/po/fr.po; do \
+	for f in top_build/po4a/*/po/fr.po; do \
 	  msgcat --use-first po4a-local/po/fr.po $$f | msgattrib --no-obsolete --no-fuzzy - > temp && mv temp $$f; \
 	done
 	touch $@
@@ -129,17 +144,20 @@
 # Generate translations
 translate: $(stamp)translate
 $(stamp)translate: $(stamp)updatepo
-	set -e; cd top_build; for f in po4a/man*/man*.cfg; do po4a --force $(PO4AFLAGS) $$f; done
+	$(MAKE) -C top_build \
+       EXTRA_PO4A_SUBDIRS=man-debian LANGS=fr \
+       PO4AFLAGS="-k 100 --msgmerge-opt '-C compendium-fr.po -C ../po4a-local/po/fr.po'"
 	set -e; cd top_build; for f in build/[!C]*/man7/*.7; do sed -i -e '1s/coding: *[^ ]*/coding: UTF-8/' $$f; done
 	touch $@
 
 clean:
 	-rm -rf top_build
-	-rm -f po4a-local/po/compendium-fr.po po4a-local/po/newfr.po po4a-local/po/man*.pot
+	-rm -f top_build/compendium-fr.po top_build/*.pot po4a-local/po/newfr.po
+	-$(MAKE) -C perkamon-fr $@
 	-rm -rf $(stamp)
 
 postats: $(stamp)updatepo
-	cd top_build && $(MAKE) -I../perkamon -f../perkamon/Makefile stats-fr
+	$(MAKE) -C top_build PO4A_SUBDIRS=man-debian stats-fr
 
 post-build: translate
 	@set -e; cd top_build/build; \
