=== debian/changelog ===
manpages-fr (3.32d0.2p4-1) unstable; urgency=low

  [ Simon Paillard ]
  * New perkamon release 3.32-4.
     + isgreater.3: Improve description (Closes: #609034)
     + pipe.2: Fix typo (Closes: #647191)
  * Rebuild against manpages 3.32-0.2.
  * debian/watch: update for manpage/NMU, perkamon and new manpages-fr scheme
  * debian/control: Standards-Version: bumped to 3.9.2. No changes.

  [ Denis Barbier ]
  * Rewrite Makefile to allow building with recent perkamon-fr sources

 -- Simon Paillard <spaillard@debian.org>  Sat, 12 Nov 2011 02:29:48 +0100
