=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Uploaders: Thomas Huriaux <thomas.huriaux@gmail.com>, Simon Paillard <spaillard@debian.org>
 Build-Depends: debhelper (>= 7), po4a (>= 0.39)
-Standards-Version: 3.9.1
-Vcs-Svn: svn://svn.debian.org/svn/pkg-manpages-fr/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-manpages-fr/trunk/
+Standards-Version: 3.9.2
+Vcs-Git: git://anonscm.debian.org/pkg-manpages-fr/manpages-fr.git
+Vcs-Browser: http://anonscm.debian.org/git/pkg-manpages-fr/manpages-fr.git
 
 Package: manpages-fr
 Architecture: all
