=== debian/rules ===
--- 
+++ 
@@ -47,16 +47,16 @@
 #  Source contains 4 tarballs:
 #     manpages-fr_$v.orig.tar.bz2
 #          contains only top-level Makefile
-#     manpages-fr_$v.orig-perkamon.tar.bz2
-#          perkamon sources, downloaded from https://alioth.debian.org/frs/?group_id=100455
+#     manpages-fr_$v.orig-perkamon-fr.tar.bz2
+#          perkamon-fr sources, downloaded from https://alioth.debian.org/frs/?group_id=100455
 #     manpages-fr_$v.orig-manpages.tar.gz
 #          is data.tar.gz from Debian manpages_$d_all.deb
 #     manpages-fr_$v.orig-manpages-dev.tar.gz
 #          is data.tar.gz from Debian manpages-dev_$d_all.deb
 #
-#  A Debian version number like 3.25fr2.4-3 is interpreted like this:
+#  A Debian version number like 3.25d2p4-3 is interpreted like this:
 #   * This is the French translation of the Debian packages manpages{,-dev} 3.25-2
-#   * It contains upstream French translations from perkamon 3.25-4
+#   * It contains upstream French translations from perkamon-fr 3.25-4
 #   * This is the 3rd Debian revision
 #
 #  As dpkg-source does not cope well with binary files and broken
@@ -70,21 +70,21 @@
 	# First remove existing files and links
 	-find manpages* -type f -o -name .svn -prune | xargs --no-run-if-empty rm
 	-find manpages* -type l -o -name .svn -prune | xargs --no-run-if-empty rm
-	-find perkamon -type f -o -name .svn -prune | xargs --no-run-if-empty rm
+	-find perkamon-fr -type f -o -name .svn -prune | xargs --no-run-if-empty rm
 	# Now remove empty directories
 	find manpages* -depth -type d -o -name .svn -prune | xargs --no-run-if-empty rmdir --ignore-fail-on-non-empty
 	@set -e; \
 	   v=$$(sed -e 1q debian/changelog | sed -e 's/.*(//' -e 's/).*//'); \
-	   u=$$(echo $$v | sed -e 's/fr.*//'); \
-	   d=$$u-$$(echo $$v | sed -e 's/.*fr//' -e 's/\..*//'); \
-	   p=$$u-$$(echo $$v | sed -e 's/.*fr//' -e 's/-.*//' -e 's/.*\.//'); \
+	   u=$$(echo $$v | sed -e 's/d.*//'); \
+	   d=$$u-$$(echo $$v | sed -e 's/.*d//' -e 's/p.*//'); \
+	   p=$$u-$$(echo $$v | sed -e 's/.*p//' -e 's/-.*//'); \
 	   v=$$(echo $$v | sed -e 's/-[^-]*$$//'); \
 	   echo "Version: $$v Upstream: $$u DebPkg: $$d Perkamon: $$p"; \
-	   if test ! -e ../manpages-fr_$${v}.orig-perkamon.tar.bz2; then \
+	   if test ! -e ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2; then \
 	        uscan --no-symlink --download-current-version; \
-	        mv ../perkamon-$${p}.tar.bz2 ../manpages-fr_$${v}.orig-perkamon.tar.bz2; \
+	        mv ../perkamon-fr-$${p}.tar.bz2 ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2; \
 	   fi; \
-	   tar jxf ../manpages-fr_$${v}.orig-perkamon.tar.bz2 -C perkamon --strip-components=1; \
+	   tar jxf ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2 -C perkamon-fr --strip-components=1; \
 	   if test ! -e ../manpages-fr_$${v}.orig.tar.bz2; then \
 	        rm -rf manpages-fr; \
 	        mkdir manpages-fr; \
@@ -98,7 +98,11 @@
 			continue; \
 		fi; \
 		echo "Downloading package $$pkg ..."; \
-		wget $(MIRRORSITE)/pool/main/m/manpages/$${pkg}_$${d}_all.deb; \
+		if test -e ../$${pkg}_$${d}_all.deb; then \
+			cp ../$${pkg}_$${d}_all.deb .; \
+		else \
+			wget $(MIRRORSITE)/pool/main/m/manpages/$${pkg}_$${d}_all.deb; \
+		fi; \
 		test -d $$pkg || mkdir $$pkg; \
 		ar p $${pkg}_$${d}_all.deb data.tar.gz | tar zxf - -C $$pkg; \
 		echo "Processing package $$pkg ..."; \
