=== debian/changelog ===
manpages-fr (3.35d0.1p2-1) unstable; urgency=low

  [ Denis Barbier ]
  * New release, based on manpages 3.35-0.1 and perkamon 3.35-2:
    + new manpages: recvmmsg.2 rt_tgsigqueueinfo.2 setns.2 syncfs.2
      sigqueue.3 cciss.4 hpsa.4

  [ Simon Paillard ]
  * Translate debian-specific mallopt.3 
  * debian/control: Standards-Version: bumped to 3.9.3. No changes.

 -- Simon Paillard <spaillard@debian.org>  Wed, 21 Mar 2012 22:38:51 +0100
