=== debian/changelog ===
manpages-fr (3.40d0.1p1-1) unstable; urgency=low

  [ David Prévot ]
  * debian/control: replaces manpages-fr-extra (<< 20120505) as getent.1 is
    now provided by manpages-fr.

  [ Simon Paillard ]
  * New release, based on manpages 3.40-0.1 and perkamon 3.32-4:
    + new manpages: manpages-dev/C/man2/process_vm_readv.2 sendmmsg.2
      get_nprocs_conf.3 malloc_get_state.3 malloc_trim.3 malloc_usable_size.3
      mcheck.3 scandirat.3 sigwait.3 getent.1
    + switch to upstream mallopt.3 translation (no more Debian specific)

 -- Simon Paillard <spaillard@debian.org>  Sun, 03 Jun 2012 18:47:44 +0200
