=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Architecture: all
 Section: doc
 Priority: optional
+Replaces: manpages-fr-extra (<< 20120505)
 Suggests: man-db | man-browser, manpages-fr-dev, manpages-fr-extra
 Depends: ${misc:Depends}
 Description: French version of the manual pages about using GNU/Linux
